package robotlegstest
{
	import com.bit101.components.HBox;
	import flash.events.Event;
	import flash.display.*;
	import robotlegstest.components.ListView;
	import robotlegstest.components.QuoteTextArea;
	import robotlegstest.contexts.ModelTestContext;
	
	/**
	 * ...
	 * @author Maciej Reichwald
	 */
	public class Main extends Sprite 
	{
		public var context:ModelTestContext;
		
		private var hBox:HBox;
		private var list:ListView;
		private var quoteText:QuoteTextArea;
		
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			stage.align = StageAlign.TOP_LEFT;
			stage.scaleMode = StageScaleMode.NO_SCALE;
			context = new ModelTestContext(this);
		}
		
		public function createChildren():void 
		{
			hBox = new HBox(this, 0, 0);
			addChild(hBox);
			
			list = new ListView(hBox);
			list.alternateRows = true;
			
			quoteText = new QuoteTextArea(hBox);
			quoteText.editable = false;
			quoteText.selectable = false;
		}
		
	}
	
}