package robotlegstest.contexts 
{
	import flash.display.DisplayObjectContainer;
	import org.robotlegs.mvcs.Context;
	import robotlegstest.components.*;
	import robotlegstest.mediators.*;
	import robotlegstest.Main;
	
	/**
	 * ...
	 * @author Maciej Reichwald
	 */
	public class ModelTestContext extends Context 
	{
		
		public function ModelTestContext(contextView:DisplayObjectContainer=null) 
		{
			super(contextView);
		}

		override public function startup():void
		{
			injector.mapSingleton(AuthorModel);
			
			mediatorMap.mapView(ListView, ListViewMediator);
			mediatorMap.mapView(QuoteTextArea, QuoteTextAreaMediator);
			
			mediatorMap.mapView(Main, ApplicationMediator);
		}
		
	}

}