package robotlegstest.events
{
import flash.events.Event;
import robotlegstest.concepts.Author;

public class SelectedAuthorEvent extends Event
{
    public static const SELECTED:String = "authorSelected";

    private var _author:Author;

    public function get author():Author
    {
        return _author;
    }

    public function SelectedAuthorEvent(type:String, author:Author = null, bubbles:Boolean = false, cancelable:Boolean = false)
    {
        super(type, bubbles, cancelable);
        _author = author;
    }

    override public function clone():Event
    {
        return new SelectedAuthorEvent(type, author, bubbles, cancelable)
    }
}
}