package robotlegstest.mediators
{
import flash.events.Event;
import robotlegstest.components.ListView;
import robotlegstest.concepts.Author;
import robotlegstest.contexts.AuthorModel;

import org.robotlegs.mvcs.Mediator;


public class ListViewMediator extends Mediator
{
    [Inject]
    public var view:ListView;

    [Inject]
    public var authorModel:AuthorModel;

    override public function onRegister():void
    {
        view.items = authorModel.list;
        
        addViewListener(Event.SELECT, handleSelected)
    }

    private function handleSelected(event:Event):void
    {
        authorModel.selected = view.selectedItem as Author;
    }
}
}