package robotlegstest.mediators
{
import org.robotlegs.mvcs.Mediator;
import robotlegstest.components.QuoteTextArea;
import robotlegstest.concepts.Author;
import robotlegstest.events.SelectedAuthorEvent;

public class QuoteTextAreaMediator extends Mediator
{
    [Inject]
    public var view:QuoteTextArea;

    override public function onRegister():void
    {
        addContextListener(SelectedAuthorEvent.SELECTED, handleSelectedAuthorChanged)
    }

    private function handleSelectedAuthorChanged(event:SelectedAuthorEvent):void
    {
        var author:Author = event.author;
        view.text = author.quote;
    }
}
}